Package ghidra.features.base.memsearch.gui

# Class MemoryMatchTableModel.MatchValueColumn

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<MemoryMatch,String,Program>
docking.widgets.table.DynamicTableColumnExtensionPoint<MemoryMatch,String,Program>
ghidra.features.base.memsearch.gui.MemoryMatchTableModel.MatchValueColumn

All Implemented Interfaces:
  `DynamicTableColumn<MemoryMatch,String,Program>`, `ExtensionPoint`

Enclosing class:
  `MemoryMatchTableModel`

public class MemoryMatchTableModel.MatchValueColumn extends DynamicTableColumnExtensionPoint<MemoryMatch,String,Program>

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MatchValueColumn()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColumnName()`
  Determines the unique column heading that may be used to identify a column instance.
  `int`
  `getColumnPreferredWidth()`
  Returns the preferred width for this column.
  `GColumnRenderer<String>`
  `getColumnRenderer()`
  Returns the optional cell renderer for this column; null if no renderer is used.
  `String`
  `getValue(MemoryMatch match, Settings settings, Program pgm, ServiceProvider service)`
  Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnClass, getColumnDescription, getColumnDisplayName, getComparator, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MatchValueColumn

    public MatchValueColumn()

- ## Method Details

  - ### getColumnName

    public String getColumnName()
    Description copied from interface: `DynamicTableColumn`
    Determines the unique column heading that may be used to identify a column instance. This name must be non-changing and is used to save/restore state information.
    Specified by:
      `getColumnName` in interface `DynamicTableColumn<MemoryMatch,String,Program>`
    Specified by:
      `getColumnName` in class `AbstractDynamicTableColumn<MemoryMatch,String,Program>`
    Returns:
      the field instance name.

  - ### getValue

    public String getValue(MemoryMatch match, Settings settings, Program pgm, ServiceProvider service) throws IllegalArgumentException
    Description copied from interface: `DynamicTableColumn`
    Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.
    Specified by:
      `getValue` in interface `DynamicTableColumn<MemoryMatch,String,Program>`
    Specified by:
      `getValue` in class `AbstractDynamicTableColumn<MemoryMatch,String,Program>`
    Parameters:
      `match` - the object associated with the row in the table.
      `settings` - field settings
      `pgm` - the expected data object, as defined by the DATA_SOURCE type
      `service` - the `ServiceProvider` associated with the table.
    Returns:
      the object for the model to display in the table cell.
    Throws:
      `IllegalArgumentException` - if the rowObject is not one supported by this class.

  - ### getColumnPreferredWidth

    public int getColumnPreferredWidth()
    Description copied from interface: `DynamicTableColumn`
    Returns the preferred width for this column. Column should either return a valid positive preferred size or -1.
    Specified by:
      `getColumnPreferredWidth` in interface `DynamicTableColumn<MemoryMatch,String,Program>`
    Overrides:
      `getColumnPreferredWidth` in class `AbstractDynamicTableColumn<MemoryMatch,String,Program>`
    Returns:
      the preferred width for this column.

  - ### getColumnRenderer

    public GColumnRenderer<String> getColumnRenderer()
    Description copied from interface: `DynamicTableColumn`
    Returns the optional cell renderer for this column; null if no renderer is used.

    This method allows columns to define custom rendering. The interface returned here ensures that the text used for filtering matches what the users sees (via the `GColumnRenderer.getFilterString(Object, Settings)` method).

    Note: some types should not make use of the aforementioned filter string. These types include the `Number` wrapper types, `Date` and `Enum`s. (This is because the filtering system works naturally with these types.) See `GColumnRenderer`.

    Specified by:
      `getColumnRenderer` in interface `DynamicTableColumn<MemoryMatch,String,Program>`
    Overrides:
      `getColumnRenderer` in class `AbstractDynamicTableColumn<MemoryMatch,String,Program>`
    Returns:
      the renderer